DS_CHECK_FOR_DESCRIPTOR(3)

EXPERIMENTAL_FUNC
ds_check_for_descriptor - Check if descriptor pointer lies in data structure.

SYNOPSIS
#include <karma_ds.h>

flag ds_check_for_descriptor

(CONST packet_desc *pack_desc, void *pointer)

DESCRIPTION
Check if descriptor pointer lies in data structure.

pack_desc
    The packet descriptor to search recursively.

pointer
    The pointer to search for. This may be an array or packet descriptor.

RETURN VALUE
TRUE if the descriptor pointer was found, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/